Bug 202736 - [MAINTAINER] multimedia/mpv: sort and standardize OPTION helpers, minor fixes
Summary: [MAINTAINER] multimedia/mpv: sort and standardize OPTION helpers, minor fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-29 07:52 UTC by Carlos J Puga Medina
Modified: 2015-09-01 06:17 UTC (History)
3 users (show)

See Also:


Attachments
Patch (5.99 KB, patch)
2015-08-29 07:52 UTC, Carlos J Puga Medina
no flags Details | Diff
Patch (6.01 KB, patch)
2015-08-29 08:58 UTC, Carlos J Puga Medina
no flags Details | Diff
ensure zsh completions are actually installed (and prevent package error) when the option is selected (317 bytes, patch)
2015-08-29 21:24 UTC, Joseph Mingrone
jrm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-08-29 07:52:07 UTC
Created attachment 160467 [details]
Patch

- Add X11 option helper
- Standardize all option helpers
- Echoed commands in Makefile targets
- Bump PORTREVISION
Comment 1 Carlos J Puga Medina 2015-08-29 08:58:26 UTC
Created attachment 160475 [details]
Patch

Add OPENGL_IMPLIES= X11 in Makefile
Comment 2 commit-hook freebsd_committer 2015-08-29 10:39:20 UTC
A commit references this bug:

Author: pi
Date: Sat Aug 29 10:39:07 UTC 2015
New revision: 395543
URL: https://svnweb.freebsd.org/changeset/ports/395543

Log:
  multimedia/mpv: sort and standardize OPTION helpers

  - Add X11 option helper
  - Standardize all option helpers
  - Echoed commands in Makefile targets
  - Bump PORTREVISION

  PR:		202736
  Submitted by:	Carlos J Puga Medina <cpm@fbsd.es> (maintainer)

Changes:
  head/multimedia/mpv/Makefile
Comment 3 Kurt Jaeger freebsd_committer 2015-08-29 10:39:39 UTC
Build-tested, committed, thanks.
Comment 4 Carlos J Puga Medina 2015-08-29 10:42:28 UTC
(In reply to Kurt Jaeger from comment #3)

Thank you, mate!
Comment 5 commit-hook freebsd_committer 2015-08-29 11:05:23 UTC
A commit references this bug:

Author: pi
Date: Sat Aug 29 11:04:51 UTC 2015
New revision: 395546
URL: https://svnweb.freebsd.org/changeset/ports/395546

Log:
  multimedia/mpv: fix OPTIONS_DEFAULT

  - Add ENCA to OPTIONS_DEFAULT

  PR:		202736
  Submitted by:	Carlos J Puga Medina <cpm@fbsd.es> (maintainer)

Changes:
  head/multimedia/mpv/Makefile
Comment 6 Joseph Mingrone freebsd_committer 2015-08-29 21:24:38 UTC
Created attachment 160500 [details]
ensure zsh completions are actually installed (and prevent package error) when the option is selected

zsh completions are not enabled by default, so ZSH_CONFIGURE_ENABLE=zsh-comp must be present and ZSH_CONFIGURE_OFF=--disable-zsh-comp is not necessary.

Erorr when turning the zsh completions option on without the attached patch:

http://pkg.awarnach.mathstat.dal.ca/data/10amd64-default/2015-08-29_17h06m10s/logs/errors/mpv-0.9.2_6,1.log

With the attached patch applied here are poudriere testport logs for the zsh completion option off and on, respectively:

http://pkg.awarnach.mathstat.dal.ca/data/10amd64-default/2015-08-29_17h32m34s/logs/mpv-0.9.2_6,1.log


http://pkg.awarnach.mathstat.dal.ca/data/10amd64-default/2015-08-29_17h33m56s/logs/mpv-0.9.2_6,1.log
Comment 7 Carlos J Puga Medina 2015-08-29 21:31:08 UTC
It looks fine ;)

Thanks for report, Joseph.
Comment 8 Carlos J Puga Medina 2015-08-29 22:04:53 UTC
Comment on attachment 160500 [details]
ensure zsh completions are actually installed (and prevent package error) when the option is selected

Approved
Comment 9 commit-hook freebsd_committer 2015-08-30 06:28:47 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 30 06:28:23 UTC 2015
New revision: 395599
URL: https://svnweb.freebsd.org/changeset/ports/395599

Log:
  multimedia/mpv: zsh completions

  ensure zsh completions are actually installed (and prevent package
  error) when the option is selected

  PR:		202736
  Submitted by:	Joseph Mingrone <jrm@ftfl.ca>
  Approved by:	Carlos J Puga Medina <cpm@fbsd.es> (maintainer)

Changes:
  head/multimedia/mpv/Makefile
Comment 10 Kurt Jaeger freebsd_committer 2015-08-30 06:29:10 UTC
Committed, thanks.
Comment 11 Jan Beich freebsd_committer 2015-09-01 06:17:26 UTC
_CONFIGURE_ENABLE -> _CONFIGURE_OFF wasn't necessary. --enable-foo works fine unlike in mplayer or mplayer2. So, after ports r395543 the port may auto-disable a feature if its dependency isn't satisfied e.g., newer libass is required or new dependency for an old option. Previously dependencies were enforced by e.g.,

  $ ./waf configure --enable-libguess
  [...]
  Checking for libguess support                                             : no ('libguess >= 1.0' not found)
  You manually enabled the feature 'libguess', but the autodetection check failed.

Fortunately, no option have regressed yet as PORTVERSION remained the same.